package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 商品订单对象 goods_order
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public class GoodsOrder extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 1:服务项目 2：商品 */
    @Excel(name = "1:服务项目 2：商品")
    private Integer type;

    /** 主订单号 */
    @Excel(name = "主订单号")
    private String mainOrderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderId;

    /** 微信支付单号 */
    @Excel(name = "微信支付单号")
    private String transactionId;

    /** 用户 */
    @Excel(name = "用户")
    private Long uid;

    /** 用户 */
    @Excel(name = "用户名称")
    private String uname;

    /** 商品 */
    @Excel(name = "商品")
    private Long productId;

    /** 商品 */
    @Excel(name = "商品名称")
    private String productName;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private String phone;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 数量 */
    @Excel(name = "数量")
    private Long num;

    /** 总价 */
    @Excel(name = "总价")
    private BigDecimal totalPrice;

    /** 商品金额 */
    @Excel(name = "商品金额")
    private BigDecimal goodPrice;

    /** 服务金额 */
    @Excel(name = "服务金额")
    private BigDecimal servicePrice;

    /** 支付金额 */
    @Excel(name = "支付金额")
    private BigDecimal payPrice;

    /** 抵扣金额 */
    @Excel(name = "抵扣金额")
    private BigDecimal deduction;

    /** 邮费 */
    @Excel(name = "邮费")
    private BigDecimal postage;

    /** 支付时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "支付时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date payTime;

    /** 订单状态  1:待支付  2：已支付，待发货3：待收货 4：待评价 5：已收货 6：取消 20：申请退款  21：同意退款 22：驳回退款 */
    @Excel(name = "订单状态  1:待支付  2：已支付，待发货3：待收货 4：待评价 5：已收货 6：取消 20：申请退款  21：同意退款 22：驳回退款")
    private Long status;

    /** 快递 */
    @Excel(name = "快递")
    private Long deliveryId;

    /** 快递单号 */
    @Excel(name = "快递单号")
    private String deliveryNum;

    /** 发货时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发货时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date sendTime;

    /** 备注 */
    @Excel(name = "备注")
    private String mark;

    /** 关联地址 */
    @Excel(name = "关联地址")
    private Long addressId;

    /** 多规格产品 */
    @Excel(name = "多规格产品")
    private String sku;


    private BigDecimal payPriceMin;
    private  BigDecimal payPriceMax;
    private String startdate;
    private String enddate;
    private String paystartdate;
    private String payenddate;



    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date createdAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date updatedAt;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Date deletedAt;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

    public void setMainOrderId(String mainOrderId) 
    {
        this.mainOrderId = mainOrderId;
    }

    public String getMainOrderId() 
    {
        return mainOrderId;
    }

    public void setOrderId(String orderId) 
    {
        this.orderId = orderId;
    }

    public String getOrderId() 
    {
        return orderId;
    }

    public void setTransactionId(String transactionId) 
    {
        this.transactionId = transactionId;
    }

    public String getTransactionId() 
    {
        return transactionId;
    }

    public void setUid(Long uid) 
    {
        this.uid = uid;
    }

    public Long getUid() 
    {
        return uid;
    }

    public void setProductId(Long productId) 
    {
        this.productId = productId;
    }

    public Long getProductId() 
    {
        return productId;
    }

    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }

    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }

    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }

    public void setNum(Long num) 
    {
        this.num = num;
    }

    public Long getNum() 
    {
        return num;
    }

    public void setTotalPrice(BigDecimal totalPrice) 
    {
        this.totalPrice = totalPrice;
    }

    public BigDecimal getTotalPrice() 
    {
        return totalPrice;
    }

    public void setGoodPrice(BigDecimal goodPrice) 
    {
        this.goodPrice = goodPrice;
    }

    public BigDecimal getGoodPrice() 
    {
        return goodPrice;
    }

    public void setServicePrice(BigDecimal servicePrice) 
    {
        this.servicePrice = servicePrice;
    }

    public BigDecimal getServicePrice() 
    {
        return servicePrice;
    }

    public void setPayPrice(BigDecimal payPrice) 
    {
        this.payPrice = payPrice;
    }

    public BigDecimal getPayPrice() 
    {
        return payPrice;
    }

    public void setDeduction(BigDecimal deduction) 
    {
        this.deduction = deduction;
    }

    public BigDecimal getDeduction() 
    {
        return deduction;
    }

    public void setPostage(BigDecimal postage) 
    {
        this.postage = postage;
    }

    public BigDecimal getPostage() 
    {
        return postage;
    }

    public void setPayTime(Date payTime) 
    {
        this.payTime = payTime;
    }

    public Date getPayTime() 
    {
        return payTime;
    }

    public void setStatus(Long status) 
    {
        this.status = status;
    }

    public Long getStatus() 
    {
        return status;
    }

    public void setDeliveryId(Long deliveryId) 
    {
        this.deliveryId = deliveryId;
    }

    public Long getDeliveryId() 
    {
        return deliveryId;
    }

    public void setDeliveryNum(String deliveryNum) 
    {
        this.deliveryNum = deliveryNum;
    }

    public String getDeliveryNum() 
    {
        return deliveryNum;
    }

    public void setSendTime(Date sendTime) 
    {
        this.sendTime = sendTime;
    }

    public Date getSendTime() 
    {
        return sendTime;
    }

    public void setMark(String mark) 
    {
        this.mark = mark;
    }

    public String getMark() 
    {
        return mark;
    }

    public void setAddressId(Long addressId) 
    {
        this.addressId = addressId;
    }

    public Long getAddressId() 
    {
        return addressId;
    }

    public void setSku(String sku)
    {
        this.sku = sku;
    }

    public String getSku()
    {
        return sku;
    }

    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }

    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }

    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }


    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getUname() {
        return uname;
    }

    public void setUname(String uname) {
        this.uname = uname;
    }

    public String getPayenddate() {
        return payenddate;
    }

    public void setPayenddate(String payenddate) {
        this.payenddate = payenddate;
    }

    public String getPaystartdate() {
        return paystartdate;
    }

    public void setPaystartdate(String paystartdate) {
        this.paystartdate = paystartdate;
    }

    public String getEnddate() {
        return enddate;
    }

    public void setEnddate(String enddate) {
        this.enddate = enddate;
    }

    public String getStartdate() {
        return startdate;
    }

    public void setStartdate(String startdate) {
        this.startdate = startdate;
    }

    public BigDecimal getPayPriceMax() {
        return payPriceMax;
    }

    public void setPayPriceMax(BigDecimal payPriceMax) {
        this.payPriceMax = payPriceMax;
    }

    public BigDecimal getPayPriceMin() {
        return payPriceMin;
    }

    public void setPayPriceMin(BigDecimal payPriceMin) {
        this.payPriceMin = payPriceMin;
    }



    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("type", getType())
            .append("mainOrderId", getMainOrderId())
            .append("orderId", getOrderId())
            .append("transactionId", getTransactionId())
            .append("uid", getUid())
            .append("productId", getProductId())
            .append("name", getName())
            .append("phone", getPhone())
            .append("address", getAddress())
            .append("num", getNum())
            .append("totalPrice", getTotalPrice())
            .append("goodPrice", getGoodPrice())
            .append("servicePrice", getServicePrice())
            .append("payPrice", getPayPrice())
            .append("deduction", getDeduction())
            .append("postage", getPostage())
            .append("payTime", getPayTime())
            .append("status", getStatus())
            .append("deliveryId", getDeliveryId())
            .append("deliveryNum", getDeliveryNum())
            .append("sendTime", getSendTime())
            .append("mark", getMark())
            .append("addressId", getAddressId())
            .append("sku", getSku())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .toString();
    }
}
